## grendel.addressbook.addresscard
Class AddressCard

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.AddressCard

public class AddressCard
extends java.lang.Object
implements ICard

Defines an addresscard for the addressbook.

Constructor Summary
`AddressCard(ICardSource source, IAttributeSet attrSet)`

Method Summary
`void` | `addAttribute(IAttribute anAttribute)`
`IAttribute` | `getAttribute(java.lang.String anAttributeName)`
`IAttributeSet` | `getAttributeSet()`
`ICardSource` | `getParent()`
`void` | `setID(java.lang.String thisCardID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressCard

    public AddressCard(ICardSource source,
                       IAttributeSet attrSet)

Method Detail

### setID

    public void setID(java.lang.String thisCardID)

### getParent

    public ICardSource getParent()

  Specified by:
    getParent in interface ICard

### addAttribute

    public void addAttribute(IAttribute anAttribute)

  Specified by:
    addAttribute in interface ICard

### getAttribute

    public IAttribute getAttribute(java.lang.String anAttributeName)

  Specified by:
    getAttribute in interface ICard

### getAttributeSet

    public IAttributeSet getAttributeSet()

  Specified by:
    getAttributeSet in interface ICard